<?xml version="1.0" encoding="iso-8859-1"?>
<!-- entte commune  tous les fichiers XML -->
<!-- Dbut de la feuille XSL -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" encoding="iso-8859-1" />


<!-- Debut du patron du noeud Ligne -->
<xsl:template match="Ligne">
<html>

<head>
	<!-- Le titre de la feuille -->
</head>

<body>


	<xsl:text>Ligne : </xsl:text>
	<xsl:value-of select="@nom"/>
	<br/>
	<br/>
	<br/>
	<xsl:call-template name="nl"/>
	<xsl:call-template name="nl"/>
	
	<xsl:apply-templates select="./ListeGares"/>

	<xsl:apply-templates select="./ListeTrains"/>


	

	
</body>

</html>

</xsl:template>

<xsl:template name="nl">
<xsl:text>
</xsl:text>
</xsl:template>



<xsl:template match="ListeGares">
	<xsl:text>	Liste des gares : </xsl:text>
	<xsl:call-template name="nl"/>
	<br/>
	
	<xsl:for-each select="./*">
		
		<xsl:sort select="@nom"/>
		
		<xsl:value-of select="@nom"/>
		<xsl:if test="self::GareTerminus">
			<xsl:text>	(Terminus) </xsl:text>
		</xsl:if>
		<xsl:call-template name="nl"/>
		<br/>
	</xsl:for-each>

</xsl:template>

<xsl:template match="ListeTrains">
	<xsl:text>	Liste des trains : </xsl:text>
	<xsl:call-template name="nl"/>
	<br/>
	
	<xsl:for-each select="Train">
		
		<xsl:sort select="./Depart/@heure"/>
		<xsl:apply-templates select="."/>
	</xsl:for-each>

</xsl:template>

<xsl:template match="Train">
	<xsl:text>		</xsl:text>
	<xsl:value-of select="@num"/>
	<xsl:text> : Dpart = </xsl:text>
	<xsl:value-of select="./Depart/@gare"/>
	<xsl:text> ( </xsl:text>
	<xsl:value-of select="./Depart/@heure"/>
	<xsl:text> ) </xsl:text>
	<xsl:text> ; Arrive = </xsl:text>
	<xsl:value-of select="./Destination/@gare"/>
	<xsl:text> ( </xsl:text>
	<xsl:value-of select="./Destination/@heure"/>
	<xsl:text> ) </xsl:text>
	<xsl:call-template name="nl"/>
	<br/>
	<xsl:text>		</xsl:text>
	
	<xsl:choose>
		
		<xsl:when test="count(./Arret)=0">
			<xsl:text> Train Direct </xsl:text>
			<br/>
			<br/>
			<br/>
		</xsl:when>
	
		<xsl:otherwise>
			<xsl:text> Gare desservies : </xsl:text>
			<xsl:for-each select="Arret">
				<xsl:value-of select="@gare"/>
				<xsl:if test="not(position() = last())">
					<xsl:text> - </xsl:text>
				</xsl:if>
			</xsl:for-each>
			<br/>
			<br/>
			<br/>
		</xsl:otherwise>
		
	</xsl:choose>
	

</xsl:template>


</xsl:stylesheet>