<?xml version="1.0" encoding="iso-8859-1"?>
<!-- entte commune  tous les fichiers XML -->
<!-- Dbut de la feuille XSL -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" encoding="iso-8859-1" />

<!-- Parametre nomGare-->
<xsl:param name="nomGare"/>

<!-- Debut du patron du noeud Ligne -->
<xsl:template match="Ligne">
<html>

<head>
	<!-- Le titre de la feuille -->
</head>

<body>

	<xsl:text> Gare passe en paramtre :  </xsl:text>
	<xsl:value-of select="$nomGare"/>
	<br/>
	
	<xsl:variable name="trouve">
		<xsl:for-each select="./ListeGares/*">
				<xsl:if test="@nom = $nomGare">
					<xsl:value-of select="@nom"/>
				</xsl:if>
		</xsl:for-each>
	</xsl:variable>

	
	<xsl:choose>

		<xsl:when test=" $trouve = $nomGare ">
			<xsl:apply-templates match="ListeTrains"/>
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:text> Gare non desservie </xsl:text>
			<br/>
		</xsl:otherwise>
		
	</xsl:choose>
	
</body>

</html>

</xsl:template>

<xsl:template name="nl">
<xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="ListeTrains">
	<xsl:text>	Train(s) au dpart : </xsl:text>
	<xsl:call-template name="nl"/>
	<br/>
	<!-- On regarde si la gare est le dpart d'un train -->
	<xsl:for-each select="Train">
		<xsl:if test="./Depart/@gare = $nomGare">
			<xsl:text>	Train n </xsl:text>
			<xsl:value-of select="./@num"/>
			<xsl:text>	- Dpart prvu  </xsl:text>
			<xsl:value-of select="./Depart/@heure"/>
			<xsl:text>	- A destination de </xsl:text>
			<xsl:value-of select="./Destination/@gare"/>
			<xsl:call-template name="nl"/>
			<br/>
		</xsl:if>
	</xsl:for-each>
	
	<xsl:text>	Train(s)  l'arrive : </xsl:text>
	<xsl:call-template name="nl"/>
	<br/>
	<!-- On regarde si la gare est l'arrive d'un train -->
	<xsl:for-each select="Train">
		<xsl:if test="./Destination/@gare = $nomGare">
			<xsl:text>	Train n </xsl:text>
			<xsl:value-of select="./@num"/>
			<xsl:text>	- Arrive prvu  </xsl:text>
			<xsl:value-of select="./Destination/@heure"/>
			<xsl:text>	- En provenance de </xsl:text>
			<xsl:value-of select="./Depart/@gare"/>
			<xsl:call-template name="nl"/>
		</xsl:if>
	</xsl:for-each>

</xsl:template>




</xsl:stylesheet>